Subject: [secdir] Review of draft-ietf-xrblock-rtcp-xr-jb-12

From: Shawn M Emery <[email-masked]>
Date: Wed, 26 Jun 2013 02:12:04 -0600

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the IESG.
These comments were written primarily for the benefit of the security
area directors. Document editors and WG chairs should treat these
comments just like any other last call comments.

This internet-draft specifies a RTP Control Protocol (RTCP) Extended Report
(XR) Block for data on jitter buffer configuration and performance.

The security considerations section does exist and states that the new block
data does not introduce any additional security concerns than those stated
in the base XR spec, RFC 3611.  I believe this to be an accurate assertion.

General comments:

I found the draft slightly hard to read, as the terminology and abbreviations
used are not expanded.  For example, the abstract has "RTP", but never expands
the abbreviation.

Editorial comments:

s/[RFC6390]and/[RFC6390] and/

Shawn.
--

---

From: Qin Wu <[email-masked]>
Date: Wed, 26 Jun 2013 09:46:05 +0000

Hi,Shawn:
Thank for your comments, my reply is inline below.

Regards!
-Qin

-----Original Message-----
From: Shawn M Emery [mailto:[email-masked]] 
Sent: Wednesday, June 26, 2013 4:12 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Review of draft-ietf-xrblock-rtcp-xr-jb-12

General comments:

[Qin]; RTP is abbreviation of  "A Transport Protocol for Real-Time Applications" and defined
In the basic RTP protocol specification [RFC3550], it is the basic atom we are used 
in the context of this draft and can not be decomposed.For other term and abbreviation,
I will check and fix that, thanks.

Editorial comments:

[Qin]:okay.Thanks!

Shawn.
--

---

From: Gonzalo Camarillo <[email-masked]>
Date: Thu, 27 Jun 2013 18:05:20 +0300

Hi,

note that RTP is one of the well-known abbreviations that do not need
expansion:

http://www.rfc-editor.org/rfc-style-guide/abbrev.expansion.txt

Cheers,

Gonzalo

---

From: Donald Eastlake <[email-masked]>
Date: Thu, 27 Jun 2013 18:18:11 -0400

I believe it is always better to bend over backwards, if need be, to
make a document clear. If someone had requested it, I would spell out
any acronym in a draft of mine, not matter how "well known" -- IETF,
IP, TCP, whatever. I believe the correct response to a request to
spell out an acronym on first use is always to simply agree with that
request, as in "RTP (Real-time Transport Protocol)".

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Thu, Jun 27, 2013 at 11:05 AM, Gonzalo Camarillo
<[email-masked]> wrote:
> _______________________________________________
> secdir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/secdir
> wiki: http://tools.ietf.org/area/sec/trac/wiki/SecDirReview

---

From: Gonzalo Camarillo <[email-masked]>
Date: Sun, 30 Jun 2013 22:22:07 +0300

Hi Donald,

sure, that is what I also do in my own documents.

Cheers,

Gonzalo